program TestGNP1

implicit none

real :: x, y, xmin, xmax, dx

xmin = 0
xmax = 6.24
dx = 0.1

print *,"reset; plot [0:6.2] [-1.1:1.1] '-' with line"

x = xmin
y = sin(x)

do
    print "(2f10.3)", x, y
    x = x + dx
    if (x > xmax) exit
    y = sin(x)           
end do
!print *,"e"
!print *,"pause -1"

end program TestGNP1


    


